Users

Get users

GET
/users.json

Get a list of users (requires admin privileges)

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Query Parameters

status?|

Filter by status (default: active). Use an empty value to get users of all statuses.

name?string

Filter by login, first name, last name and email

group_id?integer

Filter by group ID

Formatint64
offset?integer

Offset of the first item

Formatint64
Range0 <= value
Default0
limit?integer

Number of items per page

Formatint64
Range1 <= value <= 100
Default100

Response Body

The request has succeeded.

application/json
  1. response
users*array<>
total_count*integer

Total number of items

Formatint64
offset*integer

Offset of the first item

Formatint64
limit*integer

Limit of items per page

Formatint64
curl -X GET 'https://redmine.example.com/users.json'
{  "users": [    {      "id": 0,      "login": "string",      "admin": true,      "firstname": "string",      "lastname": "string",      "mail": "string",      "status": 1,      "api_key": "string",      "avatar_url": "string",      "twofa_scheme": "string",      "custom_fields": [        {          "id": 0,          "name": "string",          "multiple": true,          "value": "string"        }      ],      "created_on": "2019-08-24T14:15:22Z",      "updated_on": "2019-08-24T14:15:22Z",      "last_login_on": "2019-08-24T14:15:22Z",      "passwd_changed_on": "2019-08-24T14:15:22Z",      "groups": [        {          "id": 0,          "name": "string"        }      ],      "memberships": [        {          "id": 0,          "project": {            "id": 0,            "name": "string"          },          "user": {            "id": 0,            "name": "string"          },          "group": {            "id": 0,            "name": "string"          },          "roles": [            {              "id": 0,              "name": "string",              "inherited": true            }          ]        }      ]    }  ],  "total_count": 0,  "offset": 0,  "limit": 0}